%define name	wmtv
%define version	0.6.5
%define release 2mdk 
 
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
Source:		%{name}-%{version}.tar.bz2
Source1:	wmtvrc.europe
Source2:	wmtv-master.xpm
License: 	GPL
Group:		Video
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Summary:	WMTV is a WindowMaker dock.app that controls TV 
URL:		http://www.student.uwa.edu.au/~wliang
BuildRequires:	pciutils-devel
# Requires:	
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
wmtv is a WindowMaker dock.app that controls TV Cards which are
supported under the Linux Kernel 2.2.x series (mainly for cards based
on BrookTree BT848/848a/84 9a/878/879 chipsets: There are lots of cards
out there which uses these chipsets such as the Hauppauge WinTV,
Aimslab VideoExtreme, miroVIDEO PCTV, AverMedia TV Phone, etc).

%prep
%setup -n %{name}-%{version}

%build
%make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp ${RPM_BUILD_DIR}/%{name}-%{version}/wmtv ${RPM_BUILD_ROOT}/%{_bindir}/wmtv
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/wmtvrc
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps/%{name}.xpm

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): command="%{_bindir}/%{name}" needs="X11" \
icon="%{_prefix}/share/pixmaps/%name.xpm" \
section=Multimedia/Video \
title="WMTV" \
longtitle="WM DockTV"
EOF

mkdir -p %{buildroot}%{_datadir}/applnk/Multimedia/
cat << EOF > %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop
[Desktop Entry]
Name=WMtv
Comment="WM Dock TV"
TryExec=%{name}
Exec=wmtv
Icon=%{_prefix}/share/pixmaps/%{name}.xpm
Terminal=0
Type=Application
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README wmtvrc.sample CREDITS COPYING CHANGES 
%{_bindir}/wmtv
%config(noreplace) %{_sysconfdir}/wmtvrc
%{_prefix}/share/pixmaps/%{name}.xpm
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_libdir}/menu/wmtv

%changelog
* Thu Feb 27 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.6.5-2mdk
- rebuild 
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.6.5-1mdk
- first release for Mandrakesoft
